SUSE SLES11 Security Update : clamav (SUSE-SU-2018:2232-1)

Medium Nessus Plugin ID 111591

Synopsis

The remote SUSE host is missing one or more security updates.

Description

This update for clamav to version 0.100.1 fixes the following issues:
The following security vulnerabilities were addressed :

- CVE-2018-0360: HWP integer overflow, infinite loop vulnerability (bsc#1101410)

- CVE-2018-0361: PDF object length check, unreasonably long time to parse relatively small file (bsc#1101412)

- Buffer over-read in unRAR code due to missing max value checks in table initialization

- Libmspack heap buffer over-read in CHM parser (bsc#1103040)

- PDF parser bugs The following other changes were made :

- Disable YARA support for licensing reasons (bsc#1101654).

- Add HTTPS support for clamsubmit

- Fix for DNS resolution for users on IPv4-only machines where IPv6 is not available or is link-local only

Note that Tenable Network Security has extracted the preceding description block directly from the SUSE security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.

Solution

To install this SUSE Security Update use the SUSE recommended installation methods like YaST online_update or 'zypper patch'.

Alternatively you can run the command listed for your product :

SUSE Linux Enterprise Server 11-SP4:zypper in -t patch slessp4-clamav-13716=1

SUSE Linux Enterprise Server 11-SP3-LTSS:zypper in -t patch slessp3-clamav-13716=1

SUSE Linux Enterprise Point of Sale 11-SP3:zypper in -t patch sleposp3-clamav-13716=1

SUSE Linux Enterprise Debuginfo 11-SP4:zypper in -t patch dbgsp4-clamav-13716=1

SUSE Linux Enterprise Debuginfo 11-SP3:zypper in -t patch dbgsp3-clamav-13716=1

See Also

https://bugzilla.suse.com/1101410

https://bugzilla.suse.com/1101412

https://bugzilla.suse.com/1101654

https://bugzilla.suse.com/1103040

https://www.suse.com/security/cve/CVE-2018-0360.html

https://www.suse.com/security/cve/CVE-2018-0361.html

http://www.nessus.org/u?ef91a70f

Plugin Details

Severity: Medium

ID: 111591

File Name: suse_SU-2018-2232-1.nasl

Version: 1.2

Type: local

Agent: unix

Published: 2018/08/08

Modified: 2018/09/14

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSSv2

Base Score: 4.3

Vector: CVSS2#AV:N/AC:M/Au:N/C:N/I:N/A:P

CVSSv3

Base Score: 5.5

Vector: CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H

Vulnerability Information

CPE: p-cpe:/a:novell:suse_linux:clamav, cpe:/o:novell:suse_linux:11

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Patch Publication Date: 2018/08/07

Reference Information

CVE: CVE-2018-0360, CVE-2018-0361